#include <iostream>
using namespace std;

int main()
{
    long int n,k;
    cin>>n;
    cin>>k;
    long int a[n];
    long int b[2*n+1];
    long int c[n/k];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
        b[2*i]=0;
        b[2*i+1]=0;
    }
      b[2*n]=0;
    for(int i=0; i<n; i++)
        b[a[i]+n]++;

    int q=0;

    for(int i=0; i<2*n+1; i++)
    {
        if(b[i]>=k)
        {
            c[q]=i-n;
            q++;
        }
    }
    cout <<q << endl;
for(int i=0;i<q;i++)
    cout<<c[i]<<" ";
    return 0;
}